Name: ipcalc
Version: 1.0.0
Release: %mkrel 1
Summary: IP network address calculator

# This is an updated version of ipcalc originally found
# in Fedora's initscripts at:
# https://fedorahosted.org/releases/i/n/initscripts/
Group: System/Base
License: GPLv2+
URL: https://gitlab.com/ipcalc/ipcalc
Source0: https://gitlab.com/ipcalc/ipcalc/-/archive/%{version}/ipcalc-%{version}.tar.gz
# (ovitters) seems ipv6 localhost name on builders is not configured correctly in
# /etc/hosts or something. So disable those tests.
Patch1: ipcalc-0.4.1-disable-ipv6-test.patch

BuildRequires: gcc
BuildRequires: pkgconfig(libmaxminddb)
BuildRequires: pkgconfig(geoip)
BuildRequires: meson
BuildRequires: rubygem(ronn)
Recommends:    geoip

# Explicitly conflict with older initscript packages that ship ipcalc
Conflicts: initscripts < 9.78


%description
ipcalc provides a simple way to calculate IP information for a host
or network. Depending on the options specified, it may be used to provide
IP network information in human readable format, in a format suitable for
parsing in scripts, generate random private addresses, resolve an IP address,
or check the validity of an address.

%prep
%autosetup -p1

%build
%meson -Duse_maxminddb=enabled -Duse_runtime_linking=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%{_bindir}/ipcalc
%license COPYING
%doc README.md
%{_mandir}/man1/ipcalc.1*



%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.0.0-1.mga8
+ Revision: 1647128
- rediff test patch
- 1.0.0

* Sat Jul 25 2020 ovitters <ovitters> 0.4.1-1.mga8
+ Revision: 1608866
- add patch to ignore 2 ipv6 localhostname tests; seems builder setup is a bit broken
- new version 0.4.1
- switch to meson
- update url

* Thu Feb 13 2020 umeabot <umeabot> 0.2.0-6.mga8
+ Revision: 1513624
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-5.mga7
+ Revision: 1298306
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 ngompa <ngompa> 0.2.0-4.mga7
+ Revision: 1188109
- Adapt for Mageia
- imported package ipcalc


* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.0-1
- New upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.8-1
- New upstream release

* Fri Apr  1 2016 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.7-1
- New upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec  8 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.6-1
- New upstream release

* Wed Oct 14 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.4-2
- Corrected issue on --all-info

* Wed Oct 14 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.4-1
- New upstream release

* Tue Oct  6 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.3-1
- New upstream release
- Prints GeoIP information on generic info

* Mon Sep 21 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-3
- This package obsoletes ipcalculator

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  9 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-1
- New upstream release

* Tue May 19 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.1-1
- Compatibility fixes (allow a mask of 0)

* Mon May 18 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.0-1
- First independent release outside initscripts
